"use strict";
var definitions_1 = require("./definitions");
var internal_1 = require("./internal");
var internal_2 = require("./internal");
exports.Controller = internal_2.ControllerDec;
exports.SendJson = internal_2.SendJsonDec;
exports.Services = internal_1.parameterDecoratorFactory(definitions_1.ParameterType.SERVICE_PARAMETER);
exports.Body = internal_1.parameterDecoratorWithNameFactory(definitions_1.ParameterType.BODY_PARAMETER);
exports.Multipart = internal_1.parameterDecoratorWithNameFactory(definitions_1.ParameterType.MULTIPART_PARAMETER);
exports.Path = internal_1.parameterDecoratorWithNameFactory(definitions_1.ParameterType.PATH_PARAMETER);
exports.Query = internal_1.parameterDecoratorWithNameFactory(definitions_1.ParameterType.QUERY_PARAMETER);
exports.Header = internal_1.parameterDecoratorWithNameFactory(definitions_1.ParameterType.HEADER_PARAMETER);
exports.Cookie = internal_1.parameterDecoratorWithNameFactory(definitions_1.ParameterType.COOKIE_PARAMETER);
exports.Service = internal_1.parameterDecoratorWithNameFactory(definitions_1.ParameterType.SERVICE_PARAMETER);
exports.Get = internal_2.methodDecoratorFactory("get");
exports.Post = internal_2.methodDecoratorFactory("post");
exports.Put = internal_2.methodDecoratorFactory("put");
exports.Delete = internal_2.methodDecoratorFactory("delete");
exports.Patch = internal_2.methodDecoratorFactory("patch");
//# sourceMappingURL=web.js.map